import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const provincePurgeNeededRequestService = createAsyncThunk(
  "PROVINCE_PURGE_NEEDED_REQUEST_SERVICE",
  async (_, { dispatch }) => {
    try {
      dispatch(LOADING_START());
      const { data, status } = await axios.put("kill_request/0/", {
        previous_requests: true,
      });
      dispatch(LOADING_END());
      return { data, status };
    } catch (e) {
      dispatch(LOADING_END());
      return { error: e.response.data.result };
    }
  }
);
